import * as React from 'react';
import { TableColumn, SortAction, SortDirection, SortFunction } from './types';
declare type TableColProps<T> = {
    rows: T[];
    column: TableColumn<T>;
    sortIcon?: React.ReactNode;
    pagination: boolean;
    paginationServer: boolean;
    persistSelectedOnSort: boolean;
    selectedColumn: TableColumn<T>;
    sortDirection: SortDirection;
    sortFunction: SortFunction<T> | null;
    sortServer: boolean;
    selectableRowsVisibleOnly: boolean;
    onSort: (action: SortAction<T>) => void;
};
declare function TableCol<T>({ rows, column, selectedColumn, sortDirection, sortFunction, sortIcon, sortServer, pagination, paginationServer, persistSelectedOnSort, selectableRowsVisibleOnly, onSort, }: TableColProps<T>): JSX.Element | null;
declare const _default: typeof TableCol;
export default _default;
